=== textautogeneratetext/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>

macro(add_textautogenerate_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h TEST_NAME ${_name}
        NAME_PREFIX "textautogenerate-"
        LINK_LIBRARIES Qt::Test KF6::TextAutoGenerateText KF6::TextWidgets KF6::WidgetsAddons Qt::Sql
)
endmacro()
add_textautogenerate_unittest(textautogeneratetextconfigurecombowidgettest.cpp)
add_textautogenerate_unittest(textautogeneratetextlineeditwidgettest.cpp)
add_textautogenerate_unittest(textautogenerateresultwidgettest.cpp)
add_textautogenerate_unittest(textautogeneratetextlineedittest.cpp)
add_textautogenerate_unittest(textautogeneratewidgettest.cpp)
add_textautogenerate_unittest(textautogeneratedialogtest.cpp)
add_textautogenerate_unittest(textautogeneratelistviewtest.cpp)
add_textautogenerate_unittest(textautogeneratemessagetest.cpp)
add_textautogenerate_unittest(textautogenerateconfigurewidgettest.cpp)
add_textautogenerate_unittest(textautogenerateconfiguredialogtest.cpp)
add_textautogenerate_unittest(textautogeneratehistorywidgettest.cpp)
add_textautogenerate_unittest(textautogeneratenotworkingwidgettest.cpp)
add_textautogenerate_unittest(textautogenerateheaderwidgettest.cpp)
add_textautogenerate_unittest(textautogenerateselectedmessagebackgroundanimationtest.cpp)
add_textautogenerate_unittest(textautogeneratehistorylistviewtest.cpp)
add_textautogenerate_unittest(textautogeneratechattest.cpp)
add_textautogenerate_unittest(textautogeneratelocaldatabaseutilstest.cpp)
add_textautogenerate_unittest(textautogeneratelocaldatabaseabstracttest.cpp)
add_textautogenerate_unittest(textautogeneratelocalchatsdatabasetest.cpp)
add_textautogenerate_unittest(textautogeneratelocalmessagesdatabasetest.cpp)
add_textautogenerate_unittest(textautogeneratemanagertest.cpp)
add_textautogenerate_unittest(textautogeneratetextplugintest.cpp)
add_textautogenerate_unittest(textautogeneratesearchwidgettest.cpp)
add_textautogenerate_unittest(textautogeneratesearchdialogtest.cpp)
add_textautogenerate_unittest(textautogeneratesearchlistviewtest.cpp)
add_textautogenerate_unittest(textautogeneratesearchmessagetest.cpp)
add_textautogenerate_unittest(textautogeneratesearchjobtest.cpp)
add_textautogenerate_unittest(textautogenerateaskjobtest.cpp)
add_textautogenerate_unittest(textautogeneratechatsettingstest.cpp)
add_textautogenerate_unittest(textautogeneratesearchlineedittest.cpp)
