=== textautogeneratetext/plugins/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>

#add_subdirectory(mistral)
add_subdirectory(ollama)
#add_subdirectory(openai)
