=== textautogeneratetext/tests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>

add_subdirectory(textautogeneratetypingindicatorgui)
add_subdirectory(textautogeneratewidgetgui)
add_subdirectory(textautogenerateaskjobgui)
