=== debian/changelog ===
ktextaddons (1.6.0-0ubuntu1) questing; urgency=medium

  * New upstream release (1.6.0)
  * Update build-deps and deps with the info from cmake.
  * New libraries libkf6textautogeneratetext1 and
    libkf6textspeechtotext1
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Jul 2025 20:15:34 +0100
